Subject: bug#38813: closed (Re: bug#38813: Make comint-tests more robust)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Dec 2019 20:06:02 +0000

Your bug report

#38813: Make comint-tests more robust

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38813: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38813
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38813: Make comint-tests more robust
From: Mattias Engdegård <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: "Michael R. Mauger" <[email-masked]>, [email-masked]
Date: Mon, 30 Dec 2019 21:05:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

30 dec. 2019 kl. 19.28 skrev Michael Albinus <[email-masked]>:

> I'm not sure. Some months (years?) ago there was a discussion about on
> emacs-devel, and AFAIR this form was proposed by Stefan.
> 
> If needed, I could check the archives.

Thank you, I don't think that's necessary. The improved patch has been pushed to emacs-27.

Subject: Make comint-tests more robust
From: Mattias Engdegård <[email-masked]>
To: [email-masked]
Cc: "Michael R. Mauger" <[email-masked]>
Date: Mon, 30 Dec 2019 14:57:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

There seem to be races in the new comint-tests; they frequently hang and/or fail when run (make check) on macOS.
This patch should improve matters. OK for emacs-27?